Show / Hide Table of Contents

# Class TransparentProxyEndPoint

A proxy end point client is not aware of. Useful when requests are redirected to this proxy end point through port forwarding via router.

##### Inheritance

Object
ProxyEndPoint
TransparentProxyEndPoint

##### Inherited Members

ProxyEndPoint.IpAddress
ProxyEndPoint.Port
ProxyEndPoint.DecryptSsl
ProxyEndPoint.IpV6Enabled
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class TransparentProxyEndPoint : ProxyEndPoint

### Constructors

#### TransparentProxyEndPoint(IPAddress, Int32, Boolean)

Initialize a new instance.

##### Declaration

    public TransparentProxyEndPoint(IPAddress ipAddress, int port, bool decryptSsl = true)

##### Parameters

Type | Name | Description
--- | --- | ---
IPAddress | ipAddress | Listening Ip address.
Int32 | port | Listening port.
Boolean | decryptSsl | Should we decrypt ssl?

### Properties

#### GenericCertificateName

Name of the Certificate need to be sent (same as the hostname we want to proxy). This is valid only when UseServerNameIndication is set to false.

##### Declaration

    public string GenericCertificateName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Events

#### BeforeSslAuthenticate

Before Ssl authentication this event is fired.

##### Declaration

    public event AsyncEventHandler<BeforeSslAuthenticateEventArgs> BeforeSslAuthenticate

##### Event Type

Type | Description
--- | ---
AsyncEventHandler<BeforeSslAuthenticateEventArgs> |